Subject: bug#42766: file names with spaces are quoted in the output from ls

From: David Thomas <[email-masked]>
Date: Sat, 8 Aug 2020 21:39:31 +0530

Hello,

I noticed the other day when running ls in a terminal that some file names with spaces were quoted. I was quite confused, as I was sure they hadn’t been saved with quotes at the beginning and end of the file name. I’m not someone who often uses the terminal, but I know enough of what I was expecting (that file names created without quotes shouldn’t have quotes around them) that it threw me way off. Some of what were quoted were directories, and at first I was typing out the quotes to cd into them. Then I discovered it still worked to cd into them without typing the quotes, which was at least better. But I really don’t want those quotes. They look weird, and they make me feel like I mistyped when I created the file or directory.

I did some more digging, and discovered that I can alias ls to ls -N to get rid of them, but I sure don’t want to have to make this new alias for every system I use from here on out.

I have already read every bit of https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=813164#226 already and the stubbornness of the devs is surprising and disheartening.

Isn’t open source a friendly place? If most people think things are a bad idea, why do them? This isn’t something that helps new users—it’s just going to confuse them, like it confused me.

Please do us all a favor and revert the change. Thanks so much,

-David